package com.muyu.schedule;

import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @Author: WangXin
 * @date: 2024/7/22
 * @Description: 任务类
 * @Version 1.0.0
 */
@Component
public class ScheduledPrintNameService {
    /**
     * 每隔5秒输出自己的一次名字
     */
    @Scheduled(cron = " */5 * * * * ?")
    public void printName(){
        System.out.println("wangXin "+ new Date());
    }
}
